# Skript zum Kurs "Digitales Handwerkszeug für BibliothekarInnen"

In diesem Kurs lernen Sie eine Reihe von Techniken und Werkzeugen kennen, um große Datenmengen zu bearbeiten, manuelle Arbeiten zu automatisieren und effektiv mit WissenschaftlerInnen und IT-KollegInnen zusammenzuarbeiten. Kurzum: Digitales Handwerkszeug, das Ihnen die Arbeit in einer modernen Bibliothek erleichtert.

Dieses Skript entstand in der Zeit von September bis Oktober 2019 im Rahmen der folgenden Lehrveranstaltung:

* Kurs "Digitales Handwerkszeug für BibliothekarInnen"
* Dozent: [Felix Lohmeier](http://felixlohmeier.de)
* Wintersemester 2019
* Lehrauftrag an der [HAW Hamburg, Fakultät Design, Medien und Information](https://www.haw-hamburg.de/department-information.html)
* Modulangebot Informationstechnologie für die Studiengänge Bibliotheks- und Informationsmanagement (BIM) und Medien und Information (MUI), Bachelor 3. bis 6. Semester

## Arbeitsumgebung

Damit Sie auch zukünftig Ihr "Handwerkszeug" dabei haben, arbeiten Sie mit Ihrem eigenen Laptop. Darauf installieren wir im Kurs die Software [VirtualBox](https://www.virtualbox.org/), die es Ihnen ermöglicht, einen Webserver auf ihrem Computer zu installieren, ohne dass ihr gewohntes Betriebssystem verändert wird. Sie erhalten eine vorkonfigurierte virtuelle Maschine, um ohne langwierige Installation die Programme ausprobieren zu können. Learning by doing.

**Voraussetzung:** Sie benötigen einen Computer, der einigermaßen aktuell ist (etwa ab Baujahr 2013), über mindestens 4 GB RAM verfügt und auf dem Sie Software installieren können (Windows, macOS oder Linux).

Materialien:
* [VirtualBox Appliance für Jupyter Notebook](https://drive.switch.ch/index.php/s/ePcuNSGALgPD1UJ) (user: `digi`, pass: `digi2019`)
* [VirtualBox Appliance für VuFind](https://drive.switch.ch/index.php/s/smsvrHZaiumh2WD)
* [VirtualBox Appliance für Koha](https://drive.switch.ch/index.php/s/vJ8x4vMmKsUisJK)
* [Geteiltes Dokument (CodiMD)](https://pad.gwdg.de/DjgnTSE5RxOv7HQnyZ1Dsg)

## Inhalte

Gemeinsam bearbeiten wir Lehrmaterialien der internationalen Community [Library Carpentry](https://librarycarpentry.org) ([Introduction to Data](https://librarycarpentry.org/lc-data-intro/), [The Unix Shell](https://librarycarpentry.github.io/lc-shell/), [OpenRefine](https://librarycarpentry.github.io/lc-open-refine/)) und schauen hinter die Kulissen von Bibliothekskatalogen ([Koha](https://koha-community.org/)), und Discovery-Systemen ([VuFind](https://vufind.org) mit [Solr](https://lucene.apache.org/solr/)).

**Termine:**

1. 16.09.2019
   1. Motivation
   2. Arbeitsumgebung (CodiMD, VirtualBox und Jupyter Notebook)
   3. Library Carpentry Lesson [Introduction to Data](https://librarycarpentry.org/lc-data-intro/) inklusive Regular Expressions
   4. Lerntagebücher als Prüfungsleistung
2. 17.09.2019
   1. Datenschutz und Anonymität im Internet
   2. Library Carpentry Lesson [The Unix Shell](https://librarycarpentry.github.io/lc-shell/) mit VirtualBox Appliance für Jupyter Notebook (s.o.)
3. 18.09.2019
   1. Library Carpentry Lesson [OpenRefine](https://librarycarpentry.github.io/lc-open-refine/)
   2. Wikidata [Query Service](https://query.wikidata.org)
4. 19.09.2019
   1. Anreicherung mit OpenRefine ([aus GND](http://blog.lobid.org/2018/08/27/openrefine.html) und [aus Wikidata](https://libjohn.github.io/openrefine/hands-on-reconciliation.html))
   2. Automatisierung von OpenRefine mit [openrefine-client](https://libjohn.github.io/openrefine/hands-on-reconciliation.html) und Shell-Script
   3. [VuFind Tutorial](https://felixlohmeier.gitbooks.io/vufind-tutorial-de/content/04_Installation_Testimport.html) (Kapitel 4-9) mit VirtualBox Appliance für VuFind (s.o.)
5. 20.09.2019
   1. [Solr Tutorial](https://lucene.apache.org/solr/guide/8_1/solr-tutorial.html#exercise-1)
   2. [Koha Tutorial](https://openschoolsolutions.org/how-to-install-and-set-up-koha-for-schools-part-1/) mit VirtualBox Appliance für Koha (s.o.)
6. 26.10.2019
   1. Zusammenfassung (mit Antworten auf Fragen aus den Lerntagebüchern)
   2. Install Party und Empfehlungen für das Selbststudium

## Lerntagebücher

Als Prüfungsleistung schreiben Studierende Blogs, in denen sie von ihren Erkenntnissen berichten und sich mit den Inhalten des Seminars auseinandersetzen.

**Leistungsanforderung:** Lerntagebuch in einem Blog, gerne öffentlich oder alternativ mit Passwortschutz. Ein Blogartikel (mindestens A4-Seite) zu jeder Lehreinheit und zusätzlich ein Einführungs- und ein Abschlussartikel. Im Lerntagebuch schildern Sie Ihre persönlichen Erfahrungen und setzen sich kritisch mit den Lehrinhalten auseinander.

**Blogs der Studierenden:**

(folgt)

## Lizenz

Dieses Werk ist lizenziert unter einer [Creative Commons Namensnennung 4.0 International Lizenz](http://creativecommons.org/licenses/by/4.0/)

[![Creative Commons Lizenzvertrag](https://i.creativecommons.org/l/by/4.0/88x31.png)](http://creativecommons.org/licenses/by/4.0/)
